## r-cran-mlr 2.18.0+dfsg

=== DESCRIPTION ===
Package: mlr
Title: Machine Learning in R
Version: 2.18.0
Authors@R: 
    c(person(given = "Bernd",
             family = "Bischl",
             role = "aut",
             email = "bernd_bischl@gmx.net",
             comment = c(ORCID = "0000-0001-6002-6980")),
      person(given = "Michel",
             family = "Lang",
             role = "aut",
             email = "michellang@gmail.com",
             comment = c(ORCID = "0000-0001-9754-0393")),
      person(given = "Lars",
             family = "Kotthoff",
             role = "aut",
             email = "larsko@uwyo.edu"),
      person(given = "Patrick",
             family = "Schratz",
             role = c("aut", "cre"),
             email = "patrick.schratz@gmail.com",
             comment = c(ORCID = "0000-0003-0748-6624")),
      person(given = "Julia",
             family = "Schiffner",
             role = "aut",
             email = "schiffner@math.uni-duesseldorf.de"),
      person(given = "Jakob",
             family = "Richter",
             role = "aut",
             email = "code@jakob-r.de"),
      person(given = "Zachary",
             family = "Jones",
             role = "aut",
             email = "zmj@zmjones.com"),
      person(given = "Giuseppe",
             family = "Casalicchio",
             role = "aut",
             email = "giuseppe.casalicchio@stat.uni-muenchen.de",
             comment = c(ORCID = "0000-0001-5324-5966")),
      person(given = "Mason",
             family = "Gallo",
             role = "aut",
             email = "masonagallo@gmail.com"),
      person(given = "Jakob",
             family = "Bossek",
             role = "ctb",
             email = "jakob.bossek@tu-dortmund.de",
             comment = c(ORCID = "0000-0002-4121-4668")),
      person(given = "Erich",
             family = "Studerus",
             role = "ctb",
             email = "erich.studerus@upkbs.ch",
             comment = c(ORCID = "0000-0003-4233-0182")),
      person(given = "Leonard",
             family = "Judt",
             role = "ctb",
             email = "leonard.judt@tu-dortmund.de"),
      person(given = "Tobias",
             family = "Kuehn",
             role = "ctb",
             email = "tobi.kuehn@gmx.de"),
      person(given = "Pascal",
             family = "Kerschke",
             role = "ctb",
             email = "kerschke@uni-muenster.de",
             comment = c(ORCID = "0000-0003-2862-1418")),
      person(given = "Florian",
             family = "Fendt",
             role = "ctb",
             email = "flo_fendt@gmx.de"),
      person(given = "Philipp",
             family = "Probst",
             role = "ctb",
             email = "philipp_probst@gmx.de",
             comment = c(ORCID = "0000-0001-8402-6790")),
      person(given = "Xudong",
             family = "Sun",
             role = "ctb",
             email = "xudong.sun@stat.uni-muenchen.de",
             comment = c(ORCID = "0000-0003-3269-2307")),
      person(given = "Janek",
             family = "Thomas",
             role = "ctb",
             email = "janek.thomas@stat.uni-muenchen.de",
             comment = c(ORCID = "0000-0003-4511-6245")),
      person(given = "Bruno",
             family = "Vieira",
             role = "ctb",
             email = "bruno.hebling.vieira@usp.br"),
      person(given = "Laura",
             family = "Beggel",
             role = "ctb",
             email = "laura.beggel@web.de",
             comment = c(ORCID = "0000-0002-8872-8535")),
      person(given = "Quay",
             family = "Au",
             role = "ctb",
             email = "quay.au@stat.uni-muenchen.de",
             comment = c(ORCID = "0000-0002-5252-8902")),
      person(given = "Martin",
             family = "Binder",
             role = "ctb",
             email = "ma.binder@campus.lmu.de"),
      person(given = "Florian",
             family = "Pfisterer",
             role = "ctb",
             email = "pfistererf@googlemail.com"),
      person(given = "Stefan",
             family = "Coors",
             role = "ctb",
             email = "stefan.coors@gmx.net"),
      person(given = "Steve",
             family = "Bronder",
             role = "ctb",
             email = "sab2287@columbia.edu"),
      person(given = "Alexander",
             family = "Engelhardt",
             role = "ctb",
             email = "alexander.w.engelhardt@gmail.com"),
      person(given = "Christoph",
             family = "Molnar",
             role = "ctb",
             email = "christoph.molnar@stat.uni-muenchen.de"),
      person(given = "Annette",
             family = "Spooner",
             role = "ctb",
             email = "a.spooner@unsw.edu.au"))
Description: Interface to a large number of classification and
    regression techniques, including machine-readable parameter
    descriptions. There is also an experimental extension for survival
    analysis, clustering and general, example-specific cost-sensitive
    learning. Generic resampling, including cross-validation,
    bootstrapping and subsampling.  Hyperparameter tuning with modern
    optimization techniques, for single- and multi-objective problems.
    Filter and wrapper methods for feature selection. Extension of basic
    learners with additional operations common in machine learning, also
    allowing for easy nested resampling.  Most operations can be
    parallelized.
License: BSD_2_clause + file LICENSE
URL: https://mlr.mlr-org.com, https://github.com/mlr-org/mlr
BugReports: https://github.com/mlr-org/mlr/issues
Depends: ParamHelpers (>= 1.10), R (>= 3.0.2)
Imports: backports (>= 1.1.0), BBmisc (>= 1.11), checkmate (>= 1.8.2),
        data.table (>= 1.12.4), ggplot2, methods, parallelMap (>= 1.3),
        stats, stringi, survival, utils, XML
Suggests: ada, adabag, bartMachine, batchtools, brnn, bst, C50, care,
        caret (>= 6.0-57), class, clue, cluster, ClusterR, clusterSim
        (>= 0.44-5), cmaes, cowplot, CoxBoost, crs, Cubist, deepnet,
        DiceKriging, DiscriMiner, e1071, earth, elasticnet, emoa,
        evtree, extraTrees, fda.usc, FDboost, FNN, forecast (>= 8.3),
        fpc, frbs, FSelector, FSelectorRcpp (>= 0.2.1), gbm, GenSA,
        ggpubr, glmnet, GPfit, h2o (>= 3.6.0.8), Hmisc, irace (>= 2.0),
        kernlab, kknn, klaR, knitr, laGP, LiblineaR, lintr (>=
        1.0.0.9001), MASS, mboost, mco, mda, memoise, mlbench, mldr,
        mlrMBO, mmpf, modeltools, mRMRe, neuralnet, nnet, nodeHarvest
        (>= 0.7-3), numDeriv, pamr, pander, party, penalized (>=
        0.9-47), pls, PMCMR (>= 4.1), praznik (>= 5.0.0), randomForest,
        randomForestSRC (>= 2.7.0), ranger (>= 0.8.0), rappdirs,
        refund, rex, rFerns, rgenoud, rknn, rmarkdown, ROCR,
        rotationForest, rpart, RRF, rrlda, rsm, RSNNS, rucrdtw, RWeka,
        sda, sf, smoof, sparseLDA, stepPlr, survAUC, svglite, SwarmSVM,
        testthat, tgp, TH.data, tidyr, tsfeatures, vdiffr, wavelets,
        xgboost (>= 0.7)
VignetteBuilder: knitr
ByteCompile: yes
Encoding: UTF-8
LazyData: yes
RoxygenNote: 7.1.1
SystemRequirements: gdal (optional), geos (optional), proj (optional),
        udunits (optional), gsl (optional), gmp (optional), glu
        (optional), jags (optional)
NeedsCompilation: yes
Packaged: 2020-10-05 09:37:10 UTC; pjs
Author: Bernd Bischl [aut] (<https://orcid.org/0000-0001-6002-6980>),
  Michel Lang [aut] (<https://orcid.org/0000-0001-9754-0393>),
  Lars Kotthoff [aut],
  Patrick Schratz [aut, cre] (<https://orcid.org/0000-0003-0748-6624>),
  Julia Schiffner [aut],
  Jakob Richter [aut],
  Zachary Jones [aut],
  Giuseppe Casalicchio [aut] (<https://orcid.org/0000-0001-5324-5966>),
  Mason Gallo [aut],
  Jakob Bossek [ctb] (<https://orcid.org/0000-0002-4121-4668>),
  Erich Studerus [ctb] (<https://orcid.org/0000-0003-4233-0182>),
  Leonard Judt [ctb],
  Tobias Kuehn [ctb],
  Pascal Kerschke [ctb] (<https://orcid.org/0000-0003-2862-1418>),
  Florian Fendt [ctb],
  Philipp Probst [ctb] (<https://orcid.org/0000-0001-8402-6790>),
  Xudong Sun [ctb] (<https://orcid.org/0000-0003-3269-2307>),
  Janek Thomas [ctb] (<https://orcid.org/0000-0003-4511-6245>),
  Bruno Vieira [ctb],
  Laura Beggel [ctb] (<https://orcid.org/0000-0002-8872-8535>),
  Quay Au [ctb] (<https://orcid.org/0000-0002-5252-8902>),
  Martin Binder [ctb],
  Florian Pfisterer [ctb],
  Stefan Coors [ctb],
  Steve Bronder [ctb],
  Alexander Engelhardt [ctb],
  Christoph Molnar [ctb],
  Annette Spooner [ctb]
Maintainer: Patrick Schratz <patrick.schratz@gmail.com>
Repository: CRAN
Date/Publication: 2020-10-05 10:20:03 UTC

## r-cran-mlr 2.13

=== debian/changelog ===
r-cran-mlr (2.13-1) unstable; urgency=medium

  * Initial release (closes: #910516)

 -- Andreas Tille <tille@debian.org>  Sun, 07 Oct 2018 19:30:22 +0200

=== debian/control ===
Source: r-cran-mlr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-paramhelpers,
               r-cran-bbmisc (>= 1.11),
               r-cran-backports (>= 1.1.0),
               r-cran-ggplot2,
               r-cran-stringi,
               r-cran-checkmate (>= 1.8.2),
               r-cran-data.table,
               r-cran-parallelmap,
               r-cran-survival,
               r-cran-xml
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mlr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mlr.git
Homepage: https://cran.r-project.org/package=mlr

Package: r-cran-mlr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Machine learning in GNU R
 Interface to a large number of classification and regression
 techniques, including machine-readable parameter descriptions. There is
 also an experimental extension for survival analysis, clustering and
 general, example-specific cost-sensitive learning. Generic resampling,
 including cross-validation, bootstrapping and subsampling. Hyperparameter
 tuning with modern optimization techniques, for single- and multi-objective
 problems. Filter and wrapper methods for feature selection. Extension of
 basic learners with additional operations common in machine learning, also
 allowing for easy nested resampling. Most operations can be parallelized.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/mlr_([-\d.]*)\.tar\.gz

## r-cran-mlr 2.14.0

=== debian/changelog ===
r-cran-mlr (2.14.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0
  * rename debian/tests/control.autodep8 to debian/tests/control

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Jul 2019 16:41:13 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-paramhelpers,
+               r-cran-backports (>= 1.1.0),
                r-cran-bbmisc (>= 1.11),
-               r-cran-backports (>= 1.1.0),
-               r-cran-ggplot2,
-               r-cran-stringi,
                r-cran-checkmate (>= 1.8.2),
                r-cran-data.table,
+               r-cran-ggplot2,
                r-cran-parallelmap,
+               r-cran-stringi,
                r-cran-survival,
                r-cran-xml
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mlr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mlr.git
 Homepage: https://cran.r-project.org/package=mlr

## r-cran-mlr 2.17.0%2Bdfsg

=== debian/changelog ===
r-cran-mlr (2.17.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends
  * Set upstream metadata fields: Repository.
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Mon, 13 Jan 2020 11:06:16 +0100

r-cran-mlr (2.16.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Thu, 28 Nov 2019 09:47:54 +0100

r-cran-mlr (2.15.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Repository.
  * Build-Depends: r-cran-mlbench

 -- Andreas Tille <tille@debian.org>  Wed, 28 Aug 2019 10:42:15 +0200

## r-cran-mlr 2.17.0+dfsg

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-paramhelpers,
                r-cran-backports (>= 1.1.0),
                r-cran-bbmisc (>= 1.11),
                r-cran-checkmate (>= 1.8.2),
-               r-cran-data.table,
+               r-cran-data.table (>= 1.12.4),
                r-cran-ggplot2,
                r-cran-parallelmap,
                r-cran-stringi,
                r-cran-survival,
                r-cran-xml
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mlr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mlr.git
 Homepage: https://cran.r-project.org/package=mlr

## r-cran-mlr 2.17.1+dfsg

=== debian/changelog ===
r-cran-mlr (2.17.1+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:19:16 +0000

r-cran-mlr (2.17.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 28 Mar 2020 19:06:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-mlr
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -17,10 +18,11 @@
                r-cran-stringi,
                r-cran-survival,
                r-cran-xml
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mlr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mlr.git
 Homepage: https://cran.r-project.org/package=mlr
+Rules-Requires-Root: no
 
 Package: r-cran-mlr
 Architecture: any

## r-cran-mlr 2.18.0+dfsg

=== debian/changelog ===
r-cran-mlr (2.18.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 07 Oct 2020 11:42:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-cran-mlr
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-paramhelpers,

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/mlr_([-\d.]*)\.tar\.gz

## r-cran-mlr 2.19.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: mlr
 Title: Machine Learning in R
-Version: 2.18.0
+Version: 2.19.0
 Authors@R: 
     c(person(given = "Bernd",
              family = "Bischl",
@@ -144,34 +144,40 @@
 Imports: backports (>= 1.1.0), BBmisc (>= 1.11), checkmate (>= 1.8.2),
         data.table (>= 1.12.4), ggplot2, methods, parallelMap (>= 1.3),
         stats, stringi, survival, utils, XML
-Suggests: ada, adabag, bartMachine, batchtools, brnn, bst, C50, care,
-        caret (>= 6.0-57), class, clue, cluster, ClusterR, clusterSim
-        (>= 0.44-5), cmaes, cowplot, CoxBoost, crs, Cubist, deepnet,
+Suggests: ada, adabag, bartMachine, batchtools, bit64, brnn, bst, C50,
+        care, caret (>= 6.0-57), class, clue, cluster, ClusterR,
+        clusterSim (>= 0.44-5), cmaes, cowplot, crs, Cubist, deepnet,
         DiceKriging, DiscriMiner, e1071, earth, elasticnet, emoa,
         evtree, extraTrees, fda.usc, FDboost, FNN, forecast (>= 8.3),
-        fpc, frbs, FSelector, FSelectorRcpp (>= 0.2.1), gbm, GenSA,
+        fpc, frbs, FSelector, FSelectorRcpp (>= 0.3.5), gbm, GenSA,
         ggpubr, glmnet, GPfit, h2o (>= 3.6.0.8), Hmisc, irace (>= 2.0),
         kernlab, kknn, klaR, knitr, laGP, LiblineaR, lintr (>=
         1.0.0.9001), MASS, mboost, mco, mda, memoise, mlbench, mldr,
         mlrMBO, mmpf, modeltools, mRMRe, neuralnet, nnet, nodeHarvest
-        (>= 0.7-3), numDeriv, pamr, pander, party, penalized (>=
-        0.9-47), pls, PMCMR (>= 4.1), praznik (>= 5.0.0), randomForest,
+        (>= 0.7-3), numDeriv, pamr, pander, party, pec, penalized (>=
+        0.9-47), pls, PMCMRplus, praznik (>= 5.0.0), randomForest,
         randomForestSRC (>= 2.7.0), ranger (>= 0.8.0), rappdirs,
-        refund, rex, rFerns, rgenoud, rknn, rmarkdown, ROCR,
+        refund, rex, rFerns, rgenoud, rknn, rmarkdown, Rmpi, ROCR,
         rotationForest, rpart, RRF, rrlda, rsm, RSNNS, rucrdtw, RWeka,
-        sda, sf, smoof, sparseLDA, stepPlr, survAUC, svglite, SwarmSVM,
-        testthat, tgp, TH.data, tidyr, tsfeatures, vdiffr, wavelets,
-        xgboost (>= 0.7)
+        sda, sf, smoof, snow, sparseLDA, stepPlr, survAUC, svglite,
+        SwarmSVM, testthat, tgp, TH.data, tidyr, tsfeatures, vdiffr,
+        wavelets, xgboost (>= 0.7)
 VignetteBuilder: knitr
 ByteCompile: yes
+Config/testthat/edition: 3
+Config/testthat/parallel: true
+Config/testthat/start-first: base_generateHyperParsEffect,
+        classif_bartMachine, tune_tuneIrace, featsel_filters,
+        learners_all*, regr_h2ogbm
 Encoding: UTF-8
 LazyData: yes
 RoxygenNote: 7.1.1
 SystemRequirements: gdal (optional), geos (optional), proj (optional),
         udunits (optional), gsl (optional), gmp (optional), glu
-        (optional), jags (optional)
+        (optional), jags (optional), mpfr (optional), openmpi
+        (optional)
 NeedsCompilation: yes
-Packaged: 2020-10-05 09:37:10 UTC; pjs
+Packaged: 2021-02-22 07:43:12 UTC; pjs
 Author: Bernd Bischl [aut] (<https://orcid.org/0000-0001-6002-6980>),
   Michel Lang [aut] (<https://orcid.org/0000-0001-9754-0393>),
   Lars Kotthoff [aut],
@@ -202,4 +208,4 @@
   Annette Spooner [ctb]
 Maintainer: Patrick Schratz <patrick.schratz@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-10-05 10:20:03 UTC
+Date/Publication: 2021-02-22 14:50:09 UTC

=== debian/changelog ===
r-cran-mlr (2.19.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-backports,
      r-cran-bbmisc, r-cran-checkmate and r-cran-data.table.

 -- Andreas Tille <tille@debian.org>  Mon, 06 Sep 2021 14:07:33 +0200

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,16 @@
                dh-r,
                r-base-dev,
                r-cran-paramhelpers,
-               r-cran-backports (>= 1.1.0),
-               r-cran-bbmisc (>= 1.11),
-               r-cran-checkmate (>= 1.8.2),
-               r-cran-data.table (>= 1.12.4),
+               r-cran-backports,
+               r-cran-bbmisc,
+               r-cran-checkmate,
+               r-cran-data.table,
                r-cran-ggplot2,
                r-cran-parallelmap,
                r-cran-stringi,
                r-cran-survival,
                r-cran-xml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mlr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mlr.git
 Homepage: https://cran.r-project.org/package=mlr

## r-cran-mlr 2.19.1+dfsg

=== DESCRIPTION ===
Package: mlr
Title: Machine Learning in R
Version: 2.19.1
Authors@R: c(
    person("Bernd", "Bischl", , "bernd_bischl@gmx.net", role = "aut",
           comment = c(ORCID = "0000-0001-6002-6980")),
    person("Michel", "Lang", , "michellang@gmail.com", role = "aut",
           comment = c(ORCID = "0000-0001-9754-0393")),
    person("Lars", "Kotthoff", , "larsko@uwyo.edu", role = "aut"),
    person("Patrick", "Schratz", , "patrick.schratz@gmail.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-0748-6624")),
    person("Julia", "Schiffner", , "schiffner@math.uni-duesseldorf.de", role = "aut"),
    person("Jakob", "Richter", , "code@jakob-r.de", role = "aut"),
    person("Zachary", "Jones", , "zmj@zmjones.com", role = "aut"),
    person("Giuseppe", "Casalicchio", , "giuseppe.casalicchio@stat.uni-muenchen.de", role = "aut",
           comment = c(ORCID = "0000-0001-5324-5966")),
    person("Mason", "Gallo", , "masonagallo@gmail.com", role = "aut"),
    person("Jakob", "Bossek", , "jakob.bossek@tu-dortmund.de", role = "ctb",
           comment = c(ORCID = "0000-0002-4121-4668")),
    person("Erich", "Studerus", , "erich.studerus@upkbs.ch", role = "ctb",
           comment = c(ORCID = "0000-0003-4233-0182")),
    person("Leonard", "Judt", , "leonard.judt@tu-dortmund.de", role = "ctb"),
    person("Tobias", "Kuehn", , "tobi.kuehn@gmx.de", role = "ctb"),
    person("Pascal", "Kerschke", , "kerschke@uni-muenster.de", role = "ctb",
           comment = c(ORCID = "0000-0003-2862-1418")),
    person("Florian", "Fendt", , "flo_fendt@gmx.de", role = "ctb"),
    person("Philipp", "Probst", , "philipp_probst@gmx.de", role = "ctb",
           comment = c(ORCID = "0000-0001-8402-6790")),
    person("Xudong", "Sun", , "xudong.sun@stat.uni-muenchen.de", role = "ctb",
           comment = c(ORCID = "0000-0003-3269-2307")),
    person("Janek", "Thomas", , "janek.thomas@stat.uni-muenchen.de", role = "ctb",
           comment = c(ORCID = "0000-0003-4511-6245")),
    person("Bruno", "Vieira", , "bruno.hebling.vieira@usp.br", role = "ctb"),
    person("Laura", "Beggel", , "laura.beggel@web.de", role = "ctb",
           comment = c(ORCID = "0000-0002-8872-8535")),
    person("Quay", "Au", , "quay.au@stat.uni-muenchen.de", role = "ctb",
           comment = c(ORCID = "0000-0002-5252-8902")),
    person("Martin", "Binder", , "ma.binder@campus.lmu.de", role = "ctb"),
    person("Florian", "Pfisterer", , "pfistererf@googlemail.com", role = "ctb"),
    person("Stefan", "Coors", , "stefan.coors@gmx.net", role = "ctb"),
    person("Steve", "Bronder", , "sab2287@columbia.edu", role = "ctb"),
    person("Alexander", "Engelhardt", , "alexander.w.engelhardt@gmail.com", role = "ctb"),
    person("Christoph", "Molnar", , "christoph.molnar@stat.uni-muenchen.de", role = "ctb"),
    person("Annette", "Spooner", , "a.spooner@unsw.edu.au", role = "ctb")
  )
Description: Interface to a large number of classification and regression
    techniques, including machine-readable parameter descriptions. There
    is also an experimental extension for survival analysis, clustering
    and general, example-specific cost-sensitive learning. Generic
    resampling, including cross-validation, bootstrapping and subsampling.
    Hyperparameter tuning with modern optimization techniques, for single-
    and multi-objective problems.  Filter and wrapper methods for feature
    selection. Extension of basic learners with additional operations
    common in machine learning, also allowing for easy nested resampling.
    Most operations can be parallelized.
License: BSD_2_clause + file LICENSE
URL: https://mlr.mlr-org.com, https://github.com/mlr-org/mlr
BugReports: https://github.com/mlr-org/mlr/issues
Depends: ParamHelpers (>= 1.10), R (>= 3.0.2)
Imports: backports (>= 1.1.0), BBmisc (>= 1.11), checkmate (>= 1.8.2),
        data.table (>= 1.12.4), ggplot2, methods, parallelMap (>= 1.3),
        stats, stringi, survival, utils, XML
Suggests: ada, adabag, bartMachine, batchtools, bit64, brnn, bst, C50,
        care, caret (>= 6.0-57), class, clue, cluster, ClusterR,
        clusterSim (>= 0.44-5), cmaes, cowplot, crs, Cubist, deepnet,
        DiceKriging, e1071, earth, elasticnet, emoa, evtree, fda.usc,
        FDboost, FNN, forecast (>= 8.3), fpc, frbs, FSelector,
        FSelectorRcpp (>= 0.3.5), gbm, GenSA, ggpubr, glmnet, GPfit,
        h2o (>= 3.6.0.8), Hmisc, irace (>= 2.0), kernlab, kknn, klaR,
        knitr, laGP, LiblineaR, lintr (>= 1.0.0.9001), MASS, mboost,
        mco, mda, memoise, mlbench, mldr, mlrMBO, mmpf, modeltools,
        mRMRe, neuralnet, nnet, numDeriv, pamr, pander, party, pec,
        penalized (>= 0.9-47), pls, PMCMRplus, praznik (>= 5.0.0),
        randomForest, ranger (>= 0.8.0), rappdirs, refund, rex, rFerns,
        rgenoud, rmarkdown, Rmpi, ROCR, rotationForest, rpart, RRF,
        rsm, RSNNS, rucrdtw, RWeka, sda, sf, smoof, sparseLDA, stepPlr,
        survAUC, svglite, SwarmSVM, testthat, tgp, TH.data, tidyr,
        tsfeatures, vdiffr, wavelets, xgboost (>= 0.7)
VignetteBuilder: knitr
ByteCompile: yes
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first:
        featsel_plotFilterValues,base_plotResiduals,base_generateHyperParsEffect,
        classif_bartMachine, tune_tuneIrace, featsel_filters,
        learners_all*, regr_h2ogbm
Encoding: UTF-8
LazyData: yes
RoxygenNote: 7.2.1
SystemRequirements: gdal (optional), geos (optional), proj (optional),
        udunits (optional), gsl (optional), gmp (optional), glu
        (optional), jags (optional), mpfr (optional), openmpi
        (optional)
NeedsCompilation: yes
Packaged: 2022-09-08 17:02:32 UTC; pjs
Author: Bernd Bischl [aut] (<https://orcid.org/0000-0001-6002-6980>),
  Michel Lang [aut] (<https://orcid.org/0000-0001-9754-0393>),
  Lars Kotthoff [aut],
  Patrick Schratz [aut, cre] (<https://orcid.org/0000-0003-0748-6624>),
  Julia Schiffner [aut],
  Jakob Richter [aut],
  Zachary Jones [aut],
  Giuseppe Casalicchio [aut] (<https://orcid.org/0000-0001-5324-5966>),
  Mason Gallo [aut],
  Jakob Bossek [ctb] (<https://orcid.org/0000-0002-4121-4668>),
  Erich Studerus [ctb] (<https://orcid.org/0000-0003-4233-0182>),
  Leonard Judt [ctb],
  Tobias Kuehn [ctb],
  Pascal Kerschke [ctb] (<https://orcid.org/0000-0003-2862-1418>),
  Florian Fendt [ctb],
  Philipp Probst [ctb] (<https://orcid.org/0000-0001-8402-6790>),
  Xudong Sun [ctb] (<https://orcid.org/0000-0003-3269-2307>),
  Janek Thomas [ctb] (<https://orcid.org/0000-0003-4511-6245>),
  Bruno Vieira [ctb],
  Laura Beggel [ctb] (<https://orcid.org/0000-0002-8872-8535>),
  Quay Au [ctb] (<https://orcid.org/0000-0002-5252-8902>),
  Martin Binder [ctb],
  Florian Pfisterer [ctb],
  Stefan Coors [ctb],
  Steve Bronder [ctb],
  Alexander Engelhardt [ctb],
  Christoph Molnar [ctb],
  Annette Spooner [ctb]
Maintainer: Patrick Schratz <patrick.schratz@gmail.com>
Repository: CRAN
Date/Publication: 2022-09-29 13:30:14 UTC

=== debian/changelog ===
r-cran-mlr (2.19.1+dfsg-1) unstable; urgency=medium

  * lintian-override
  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 08 Oct 2022 09:55:05 +0200

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                r-cran-backports,
                r-cran-bbmisc,
                r-cran-checkmate,
-               r-cran-data.table,
+               r-cran-data.table (>= 1.12.4),
                r-cran-ggplot2,
                r-cran-parallelmap,
                r-cran-stringi,
                r-cran-survival,
                r-cran-xml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mlr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mlr.git
 Homepage: https://cran.r-project.org/package=mlr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-mlbench
Restrictions: allow-stderr

## r-cran-mlr 2.19.2%2Bdfsg

=== debian/changelog ===
r-cran-mlr (2.19.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 06 Mar 2025 15:13:51 +0900

## r-cran-mlr 2.19.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Package: mlr
 Title: Machine Learning in R
-Version: 2.19.1
+Version: 2.19.2
 Authors@R: c(
     person("Bernd", "Bischl", , "bernd_bischl@gmx.net", role = "aut",
            comment = c(ORCID = "0000-0001-6002-6980")),
     person("Michel", "Lang", , "michellang@gmail.com", role = "aut",
            comment = c(ORCID = "0000-0001-9754-0393")),
     person("Lars", "Kotthoff", , "larsko@uwyo.edu", role = "aut"),
-    person("Patrick", "Schratz", , "patrick.schratz@gmail.com", role = c("aut", "cre"),
+    person("Patrick", "Schratz", , "patrick.schratz@gmail.com", role = "aut",
            comment = c(ORCID = "0000-0003-0748-6624")),
     person("Julia", "Schiffner", , "schiffner@math.uni-duesseldorf.de", role = "aut"),
     person("Jakob", "Richter", , "code@jakob-r.de", role = "aut"),
@@ -35,7 +35,7 @@
            comment = c(ORCID = "0000-0002-8872-8535")),
     person("Quay", "Au", , "quay.au@stat.uni-muenchen.de", role = "ctb",
            comment = c(ORCID = "0000-0002-5252-8902")),
-    person("Martin", "Binder", , "ma.binder@campus.lmu.de", role = "ctb"),
+    person("Martin", "Binder", , "mlr.developer@mb706.com", role = c("aut", "cre")),
     person("Florian", "Pfisterer", , "pfistererf@googlemail.com", role = "ctb"),
     person("Stefan", "Coors", , "stefan.coors@gmx.net", role = "ctb"),
     person("Steve", "Bronder", , "sab2287@columbia.edu", role = "ctb"),
@@ -60,43 +60,42 @@
 Imports: backports (>= 1.1.0), BBmisc (>= 1.11), checkmate (>= 1.8.2),
         data.table (>= 1.12.4), ggplot2, methods, parallelMap (>= 1.3),
         stats, stringi, survival, utils, XML
-Suggests: ada, adabag, bartMachine, batchtools, bit64, brnn, bst, C50,
-        care, caret (>= 6.0-57), class, clue, cluster, ClusterR,
-        clusterSim (>= 0.44-5), cmaes, cowplot, crs, Cubist, deepnet,
-        DiceKriging, e1071, earth, elasticnet, emoa, evtree, fda.usc,
-        FDboost, FNN, forecast (>= 8.3), fpc, frbs, FSelector,
-        FSelectorRcpp (>= 0.3.5), gbm, GenSA, ggpubr, glmnet, GPfit,
-        h2o (>= 3.6.0.8), Hmisc, irace (>= 2.0), kernlab, kknn, klaR,
-        knitr, laGP, LiblineaR, lintr (>= 1.0.0.9001), MASS, mboost,
-        mco, mda, memoise, mlbench, mldr, mlrMBO, mmpf, modeltools,
-        mRMRe, neuralnet, nnet, numDeriv, pamr, pander, party, pec,
-        penalized (>= 0.9-47), pls, PMCMRplus, praznik (>= 5.0.0),
-        randomForest, ranger (>= 0.8.0), rappdirs, refund, rex, rFerns,
-        rgenoud, rmarkdown, Rmpi, ROCR, rotationForest, rpart, RRF,
-        rsm, RSNNS, rucrdtw, RWeka, sda, sf, smoof, sparseLDA, stepPlr,
-        survAUC, svglite, SwarmSVM, testthat, tgp, TH.data, tidyr,
-        tsfeatures, vdiffr, wavelets, xgboost (>= 0.7)
+Suggests: ada, adabag, batchtools, bit64, brnn, bst, C50, care, caret
+        (>= 6.0-57), class, clue, cluster, ClusterR, clusterSim (>=
+        0.44-5), cmaes, cowplot, crs, Cubist, deepnet, DiceKriging,
+        e1071, earth, elasticnet, emoa, evtree, fda.usc, FDboost, FNN,
+        forecast (>= 8.3), fpc, frbs, FSelector, FSelectorRcpp (>=
+        0.3.5), gbm, GenSA, ggpubr, glmnet, GPfit, h2o (>= 3.6.0.8),
+        Hmisc, irace (>= 2.0), kernlab, kknn, klaR, knitr, laGP,
+        LiblineaR, lintr (>= 1.0.0.9001), MASS, mboost, mco, mda,
+        memoise, mlbench, mldr, mlrMBO, modeltools, mRMRe, neuralnet,
+        nnet, numDeriv, pamr, pander, party, pec, penalized (>=
+        0.9-47), pls, PMCMRplus, praznik (>= 5.0.0), randomForest,
+        ranger (>= 0.8.0), rappdirs, refund, rex, rFerns, rgenoud,
+        rmarkdown, Rmpi, ROCR, rotationForest, rpart, RRF, rsm, RSNNS,
+        rucrdtw, RWeka, sda, sf, smoof, sparseLDA, stepPlr, survAUC,
+        svglite, testthat, tgp, TH.data, tidyr, tsfeatures, vdiffr,
+        wavelets, xgboost (>= 0.7)
 VignetteBuilder: knitr
 ByteCompile: yes
 Config/testthat/edition: 3
 Config/testthat/parallel: true
 Config/testthat/start-first:
         featsel_plotFilterValues,base_plotResiduals,base_generateHyperParsEffect,
-        classif_bartMachine, tune_tuneIrace, featsel_filters,
-        learners_all*, regr_h2ogbm
+        tune_tuneIrace, featsel_filters, learners_all*, regr_h2ogbm
 Encoding: UTF-8
 LazyData: yes
-RoxygenNote: 7.2.1
+RoxygenNote: 7.3.1
 SystemRequirements: gdal (optional), geos (optional), proj (optional),
         udunits (optional), gsl (optional), gmp (optional), glu
         (optional), jags (optional), mpfr (optional), openmpi
         (optional)
 NeedsCompilation: yes
-Packaged: 2022-09-08 17:02:32 UTC; pjs
+Packaged: 2024-06-11 22:42:57 UTC; user
 Author: Bernd Bischl [aut] (<https://orcid.org/0000-0001-6002-6980>),
   Michel Lang [aut] (<https://orcid.org/0000-0001-9754-0393>),
   Lars Kotthoff [aut],
-  Patrick Schratz [aut, cre] (<https://orcid.org/0000-0003-0748-6624>),
+  Patrick Schratz [aut] (<https://orcid.org/0000-0003-0748-6624>),
   Julia Schiffner [aut],
   Jakob Richter [aut],
   Zachary Jones [aut],
@@ -114,13 +113,13 @@
   Bruno Vieira [ctb],
   Laura Beggel [ctb] (<https://orcid.org/0000-0002-8872-8535>),
   Quay Au [ctb] (<https://orcid.org/0000-0002-5252-8902>),
-  Martin Binder [ctb],
+  Martin Binder [aut, cre],
   Florian Pfisterer [ctb],
   Stefan Coors [ctb],
   Steve Bronder [ctb],
   Alexander Engelhardt [ctb],
   Christoph Molnar [ctb],
   Annette Spooner [ctb]
-Maintainer: Patrick Schratz <patrick.schratz@gmail.com>
+Maintainer: Martin Binder <mlr.developer@mb706.com>
 Repository: CRAN
-Date/Publication: 2022-09-29 13:30:14 UTC
+Date/Publication: 2024-06-12 10:50:02 UTC

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                r-cran-backports,
                r-cran-bbmisc,
                r-cran-checkmate,
-               r-cran-data.table (>= 1.12.4),
+               r-cran-data.table,
                r-cran-ggplot2,
                r-cran-parallelmap,
                r-cran-stringi,
                r-cran-survival,
                r-cran-xml
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mlr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mlr.git
 Homepage: https://cran.r-project.org/package=mlr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-batchtools,
        r-cran-bit64,
        r-cran-caret (>= 6.0-57),
        r-cran-class,
        r-cran-clue,
        r-cran-cluster,
        r-cran-cowplot,
        r-cran-e1071,
        r-cran-earth,
        r-cran-emoa,
        r-cran-fnn,
        r-cran-forecast (>= 8.3),
        r-cran-fpc,
        r-cran-gbm,
        r-cran-ggpubr,
        r-cran-glmnet,
        r-cran-hmisc,
        r-cran-irace (>= 2.0),
        r-cran-kernlab,
        r-cran-knitr,
        r-cran-lintr (>= 1.0.0.9001),
        r-cran-mass,
        r-cran-mda,
        r-cran-memoise,
        r-cran-mlbench,
        r-cran-modeltools,
        r-cran-nnet,
        r-cran-numderiv,
        r-cran-pander,
        r-cran-party,
        r-cran-pec,
        r-cran-pls,
        r-cran-randomforest,
        r-cran-ranger (>= 0.8.0),
        r-cran-rappdirs,
        r-cran-rex,
        r-cran-rgenoud,
        r-cran-rmarkdown,
        r-cran-rmpi,
        r-cran-rocr,
        r-cran-rpart,
        r-cran-sf,
        r-cran-svglite,
        r-cran-testthat,
        r-cran-tgp,
        r-cran-th.data,
        r-cran-tidyr,
        r-cran-vdiffr
Restrictions: allow-stderr

## r-cran-mlr 2.19.3+dfsg

=== debian/changelog ===
r-cran-mlr (2.19.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 19 Jan 2026 10:39:52 +0900

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,10 @@
                r-cran-parallelmap,
                r-cran-stringi,
                r-cran-survival,
-               r-cran-xml
-Standards-Version: 4.7.2
+               r-cran-xml,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-mlr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-mlr.git
 Homepage: https://cran.r-project.org/package=mlr
